# -*- coding: UTF-8 -*-
import os
import glob

# path to data
datadir='g:\UMD\DTCLASS16\consol\DTClassifier_gis-lab\data'
# path to training
traindir='g:\UMD\DTCLASS16\consol\DTClassifier_gis-lab\\trainings'
# presence
presence=os.path.join(traindir,'cut1.shp')
# absence
absence=os.path.join(traindir,'nochange.shp')

for subdir, dirs, files in os.walk(datadir):
	scenes=glob.glob(os.path.join(subdir, '*.tif'))
	if scenes == []:
	   continue
	else:
	   scenes=' '.join(scenes)
	   output=os.path.join(subdir, 'out.tif')
	   model=os.path.join(subdir, 'out_rfmodel.yaml')
	   # command DTclassifier
	   command= 'classifier.bat --input_rasters %s --save_points --presence %s --absence %s --classify %s --generalize 3' % (scenes,presence,absence,output)
	   #run command
	   print command
	   os.system(command)
	    
	

